<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.PreparedStatement" %>
<%@ page import="java.sql.ResultSet"%>

<% request.setCharacterEncoding("utf-8");%>
<%
String id=request.getParameter("id");
String passwd=request.getParameter("password");
String name=request.getParameter("name");
String year=request.getParameter("year");
String month=request.getParameter("month");
String day=request.getParameter("day");
String mail=request.getParameter("mail");

String str="";

try{
	Class.forName("oracle.jdbc.driver.OracleDriver");
	Connection conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl", "20182236", "990319");
	PreparedStatement pstmt=conn.prepareStatement("insert into o_member(id,password,name,year,month,day,mail) values(?,?,?,?,?,?,?)");
	pstmt.setString(1,id);
	pstmt.setString(2,passwd);
	pstmt.setString(3,name);
	pstmt.setString(4,year);
	pstmt.setString(5,month);
	pstmt.setString(6,day);
	pstmt.setString(7, mail);
	
	pstmt.executeUpdate();
	pstmt.close();
	conn.close();
	
	str="o_member 테이블에 새로운 레코드를 추가했습니다.";
}catch(Exception e){
	e.printStackTrace();
	str="o_member 테이블에 새로운 레코드를 추가에 실패했습니다.";
}
%>
<html>
<head>
<title>레코드 추가</title>
</head>
<body>
<%=str %><p>

<A href="http://Localhost:8080/member/p_member/inputTest.jsp">click here!!</A>
</body>
</html>